List Runs
Retrieve all runs for a workflow
Returns all runs for the given workflow, including both test runs and live call runs.
GET
/api/v1/workflow/{workflow_id}/runsParameters#
| Name | Located in | Type | Required | Description |
|---|---|---|---|---|
workflow_id | path | integer | Yes | — |
page | query | integer | No | — |
limit | query | integer | No | — |
filters | query | string | No | JSON-encoded filter criteria |
sort_by | query | string | No | Field to sort by (e.g., 'duration', 'created_at') |
sort_order | query | string | No | Sort order ('asc' or 'desc') |
Responses#
200 — Successful Response
{
"runs": [
{
"id": 0,
"workflow_id": 0,
"name": "Example Name",
"mode": "string",
"created_at": "2026-01-15T10:30:00Z",
"is_completed": true,
"transcript_url": "https://example.com/webhook",
"recording_url": "https://example.com/webhook",
"cost_info": {},
"definition_id": 0,
"initial_context": {},
"gathered_context": {},
"call_type": "inbound",
"logs": {},
"annotations": {}
}
],
"total_count": 0,
"page": 0,
"limit": 0,
"total_pages": 0,
"applied_filters": [
{}
]
}404 — Not found
422 — Validation Error
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}